<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration.html">integration</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1integration_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">TestDirectiveHandler</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::integration::test::TestDirectiveHandler Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#a346a60af43ec62960dd1da7bd0d9576f">cancelDirective</a>(const std::string &amp;messageId) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#ae57d7a034ddc63d63dec5d7a52c14ee4">getConfiguration</a>() const override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#af0a455b5c8d54500304918980402cd31">handleDirective</a>(const std::string &amp;messageId) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#ab7d3afd8739e571ff2ff868e4ec30d4f">handleDirectiveImmediately</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a517f1f6ceeba26da9dd071b9ad3dc390">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface::handleDirectiveImmediately</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aeb89a15e4ed782296b5fb370a9b44f95">onDeregistered</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#aea7223d22724543022dde78159c20be1">preHandleDirective</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::unique_ptr&lt; avsCommon::sdkInterfaces::DirectiveHandlerResultInterface &gt; result) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a9bfec681151c104a12274fde87ff507d">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface::preHandleDirective</a>(std::shared_ptr&lt; avsCommon::avs::AVSDirective &gt; directive, std::unique_ptr&lt; DirectiveHandlerResultInterface &gt; result)=0</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#a69d4b6cbeddf877070421ef12e7b8397">TestDirectiveHandler</a>(avsCommon::avs::DirectiveHandlerConfiguration config)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html#ac9fa434657ad5842af2ce9fe46a386a0">waitForNext</a>(const std::chrono::seconds duration)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_directive_handler.html">alexaClientSDK::integration::test::TestDirectiveHandler</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html#a0aa03b6867e8b6e44b8c1b8df93c2d5c">~DirectiveHandlerInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DirectiveHandlerInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
